ProbeToolz (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.lib.ProbeToolz class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.lib
Class ProbeToolz

    java.lang.Object
      com.securitycentric.metacoretex.lib.ProbeToolz

public class ProbeToolz
extends java.lang.Object

Author:
  visigoth

Constructor Summary
`ProbeToolz()`

Method Summary
`static boolean` | `compileProbe(java.io.File prbJava)`
`static Version` | `confFileVersion(java.io.File confFile)`
`static int` | `getDepIndex(java.util.Vector probeVect, Probe probe)` This will determine the EARLIEST in the vector this probe may go in order to meet it's dependencies, return -1 if providor is not yet loaded.
`static int` | `getIndex(java.util.Vector probeVect, Probe probe)`
`static java.lang.String` | `getNameById(int id)`
`static Probe` | `getProbeById(int id)`
`static int` | `getProvIndex(java.util.Vector probeVect, Probe probe)` Determine the last index which will let this probe provide for it's dependants (first if it's dependants aren't here)
`static boolean` | `isLoaded(java.util.Vector probeVect, int probeId)`
`static Probe` | `loadProbeFromFile(java.io.File prFile)`
`static void` | `loadProbesFromDir(java.io.File prDir, java.util.Vector vect)`
`static int` | `nextProbeId()`
`static void` | `removeProbe(int probeId)` Remove all vector references to the given probe for the same probeId
`static void` | `setProbesEnabled(java.util.Vector vect, boolean enabled)`
`static boolean` | `testDepends(Probe depOne, Probe provOne)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProbeToolz

    public ProbeToolz()

Method Detail

### setProbesEnabled

    public static void setProbesEnabled(java.util.Vector vect,
                                        boolean enabled)

### confFileVersion

    public static Version confFileVersion(java.io.File confFile)

### loadProbesFromDir

    public static void loadProbesFromDir(java.io.File prDir,
                                         java.util.Vector vect)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadProbeFromFile

    public static Probe loadProbeFromFile(java.io.File prFile)

### getNameById

    public static java.lang.String getNameById(int id)

### getProbeById

    public static Probe getProbeById(int id)

### isLoaded

    public static boolean isLoaded(java.util.Vector probeVect,
                                   int probeId)

### removeProbe

    public static void removeProbe(int probeId)

  Remove all vector references to the given probe for the same probeId

### getIndex

    public static int getIndex(java.util.Vector probeVect,
                               Probe probe)

### getDepIndex

    public static int getDepIndex(java.util.Vector probeVect,
                                  Probe probe)

  This will determine the EARLIEST in the vector this probe may go in order to meet it's dependencies, return -1 if providor is not yet loaded.

### getProvIndex

    public static int getProvIndex(java.util.Vector probeVect,
                                   Probe probe)

  Determine the last index which will let this probe provide for it's dependants (first if it's dependants aren't here)

### testDepends

    public static boolean testDepends(Probe depOne,
                                      Probe provOne)

### nextProbeId

    public static int nextProbeId()

### compileProbe

    public static boolean compileProbe(java.io.File prbJava)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD